CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

openfoam210 compilation error in mpicxx.h file

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree1Likes

Reply
 
LinkBack Thread Tools Display Modes
Old   August 14, 2012, 02:04
Default
  #21
Member
 
Alpesh Vora
Join Date: Jan 2011
Location: Cottbus, Germany
Posts: 47
Rep Power: 5
alvora is on a distinguished road
Hello Bruno,


Thank you for reply...
Foam compilation location is already ThirdParty...
I compile everything in Thirdparty..

by the way, flex version is 2.5.31,

Kind Regards
Alpesh
alvora is offline   Reply With Quote

Old   August 14, 2012, 02:08
Default
  #22
Member
 
Alpesh Vora
Join Date: Jan 2011
Location: Cottbus, Germany
Posts: 47
Rep Power: 5
alvora is on a distinguished road
Hi Bruno,

Thank you for reply,

Foam compilation location is already ThirdParty..
I made this change before compiling...

By the way, the flex version is 2.5.31 in cluster...
alvora is offline   Reply With Quote

Old   August 14, 2012, 04:33
Default
  #23
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 6,981
Blog Entries: 32
Rep Power: 68
wyldckat is a jewel in the roughwyldckat is a jewel in the roughwyldckat is a jewel in the rough
I vaguely remember that you'll need at least flex 2.5.35... and I know I've already described how to build it here in the forum...
I can't look for it right now...

Basically, the reason why you're not being able to build ansysToFoam is because flex is outdated, or at least that's my deduction.
wyldckat is offline   Reply With Quote

Old   August 14, 2012, 09:36
Default
  #24
Member
 
Alpesh Vora
Join Date: Jan 2011
Location: Cottbus, Germany
Posts: 47
Rep Power: 5
alvora is on a distinguished road
Hi Bruno,

Thank you..

I installed flex 2.5.35 and compiled... It's worked...

I got some information about how to install flex as Third Party on below web..

https://www.sharcnet.ca/help/index.php/OpenFOAM

Thank you very much again...

Kind Regards
Alpesh
alvora is offline   Reply With Quote

Old   May 30, 2013, 16:27
Default hydra
  #25
New Member
 
ehk
Join Date: Sep 2012
Posts: 21
Rep Power: 3
ehsankf is on a distinguished road
Our setup do not support launching job using hydra.
That essentially means many of the ports hydra needs is not open.
Is it possible to run OpenFoam applications with out using hydra.
By default, hydra passes inherits environment variables from the shell on which mpiexec is launched,
and passes it to the launched processes.
ehsankf is offline   Reply With Quote

Old   June 8, 2013, 16:20
Default
  #26
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 6,981
Blog Entries: 32
Rep Power: 68
wyldckat is a jewel in the roughwyldckat is a jewel in the roughwyldckat is a jewel in the rough
Greetings ehsankf,

If you don't want to use Hydra, then why don't you use the default MPI that OpenFOAM provides, namely Open-MPI?

Best regards,
Bruno
wyldckat is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
groovyBC in openFOAM-2.0 for parabolic velocity bc ofslcm OpenFOAM 22 August 26, 2013 11:06
GPU Linear Solvers for OpenFOAM gocarts OpenFOAM Announcements from Other Sources 35 March 1, 2012 20:41
Paraview command not found hardy OpenFOAM Paraview & paraFoam 7 September 18, 2008 04:59
DecomposePar links against liblamso0 with OpenMPI jens_klostermann OpenFOAM Bugs 11 June 28, 2007 17:51
error while compiling the USER Sub routine CFD user CFX 3 November 25, 2002 15:16


All times are GMT -4. The time now is 00:06.